Loading...
Searching...
No Matches
pcl::gpu::people::trees::SplitPoint Struct Reference

`#include </build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/people/include/pcl/gpu/people/tree_train.h>`

## Public Member Functions

| SplitPoint (int ai, Attrib t)

## Public Attributes

int | attribId
Attrib | threshold

## Detailed Description

Definition at line 53 of file tree_train.h.

## Constructor & Destructor Documentation

## SplitPoint()

pcl::gpu::people::trees::SplitPoint::SplitPoint | ( | int | ai,
|  | Attrib | t )

inline

Definition at line 54 of file tree_train.h.

References attribId, and threshold.

## Member Data Documentation

## attribId

int pcl::gpu::people::trees::SplitPoint::attribId

Definition at line 55 of file tree_train.h.

Referenced by pcl::gpu::people::trees::operator<<(), pcl::gpu::people::trees::operator>>(), and SplitPoint().

## threshold

Attrib pcl::gpu::people::trees::SplitPoint::threshold

Definition at line 56 of file tree_train.h.

Referenced by pcl::gpu::people::trees::operator<<(), pcl::gpu::people::trees::operator>>(), and SplitPoint().

The documentation for this struct was generated from the following file:

- /build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/people/include/pcl/gpu/people/tree_train.h